Page 6 of 8

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Fri Mar 13, 2015 1:46 pm
by killer de bug
reference2myself wrote:Cinnamon always loads fast for me when i log in, logging out sometimes hangs a little bit. I'm using systemd though.
with Gnome 2, I was typing my password, pushing enter, music, and desktop was here. Fast really fast.

With Cinnamon, typing password and then black screen for 20/30 seconds... Soooooooooooooo loooooooooooooong!

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Fri Mar 13, 2015 4:14 pm
by reference2myself
killer de bug wrote:
reference2myself wrote:Cinnamon always loads fast for me when i log in, logging out sometimes hangs a little bit. I'm using systemd though.
with Gnome 2, I was typing my password, pushing enter, music, and desktop was here. Fast really fast.

With Cinnamon, typing password and then black screen for 20/30 seconds... Soooooooooooooo loooooooooooooong!
Yeah that's a long time, it only takes mine a few seconds. I have / on a SSD though so maybe that's why.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Fri Mar 13, 2015 5:05 pm
by killer de bug
With an SSD, a few second is way too long.
It should be instantly!

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Fri Mar 13, 2015 5:55 pm
by reference2myself
killer de bug wrote:With an SSD, a few second is way too long.
It should be instantly!
lol, well mine is slow too then

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Fri Mar 13, 2015 6:00 pm
by reference2myself
I don't know if anyone from the development team ever reads this thread but they should add a downgraded version of libdvdcss2 to the betsy repo. The one in jessie version 1.3.0 breaks dvd copying in brasero. Installing version 1.2.13 fixed the problem for me.

I used this one http://www.deb-multimedia.org/pool/main ... _amd64.deb from here http://www.deb-multimedia.org/pool/main ... /libdvdcss

From the thread that helped me figure it out. "In libdvdcss 1.3.0 the symbol "dvdcss_interface_2" was dropped. ChangeLog
Brasero is looking for this symbol to determine the version. source code (specifically line 98). Which obviously doesn't exist anymore."

Is there somewhere to communicate this to the team?

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sat Mar 14, 2015 5:54 am
by Monsta
reference2myself wrote:Is there somewhere to communicate this to the team?
The fastest way is via IRC: #linuxmint-dev on irc.spotchat.org (ask Clem there).

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sat Mar 14, 2015 3:54 pm
by couffi
No problem for me with this method.
Tested in a VM and works very good !!
Im looking for betsy news every days since i read this thread :p
Can't wait to have my LMDE 2.0 !!

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sun Mar 15, 2015 11:33 am
by killer de bug
We are not far from RC I think. The last iso seem to work pretty well. :)

Next big question will be the upgrade path for LMDE 1 users :)

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sun Mar 15, 2015 12:48 pm
by reference2myself
It should be a pretty easy upgrade now. When I did it back in November there were dependency problems with the meta packages, packages that needed to be swapped with other packages, themes that had to be manually made to work, etc. It should be smooth as butter now.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sun Mar 15, 2015 12:53 pm
by killer de bug
More or less. It is clear that a lot of work has been made. But for example if you upgrade now, you end with systemd and not the init system that was chosen for Betsy.
And when I updated a few weeks ago, there was still some problems with packages. It was not entirely smooth. I had to apt dist-upgrade several times. :wink:

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sun Mar 15, 2015 2:17 pm
by reference2myself
killer de bug wrote:More or less. It is clear that a lot of work has been made. But for example if you upgrade now, you end with systemd and not the init system that was chosen for Betsy.
And when I updated a few weeks ago, there was still some problems with packages. It was not entirely smooth. I had to apt dist-upgrade several times. :wink:
Haha, upgrading might just be for the brave. I don't know if they're even working on a way for people to easily upgrade.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sun Mar 15, 2015 2:25 pm
by killer de bug
I hope they are. I have no plan to reinstall :lol:

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Mon Mar 16, 2015 12:28 am
by reference2myself
killer de bug wrote:I hope they are. I have no plan to reinstall :lol:
My Betsy install is getting jealous that it's not gonna be as rare and unique anymore. :lol:

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Mon Mar 16, 2015 4:49 am
by Monsta
reference2myself wrote:I don't know if they're even working on a way for people to easily upgrade.
Not yet. The release of ISOs comes first.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Mon Mar 16, 2015 6:45 am
by reference2myself
Monsta wrote:
reference2myself wrote:I don't know if they're even working on a way for people to easily upgrade.
Not yet. The release of ISOs comes first.
They can always use my thread. It's resulted in at least two success stories :lol:

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Mon Mar 16, 2015 10:43 am
by ddurdle
I noticed the Betsy ISOs have gone into approved for RC. It won't be much longer now before we have an upgrade path.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Mon Mar 16, 2015 11:27 pm
by woodsman
They can always use my thread. It's resulted in at least two success stories
Several times the past few days I attempted to update LMDE with the sources list from the first post of this thread. Just doesn't work. I have to use apt-get autoclean, apt-get autremove, apt-get dist-upgrade a couple of times, apt-get -f install, and temporarily remove several MATE packages and reinstall. All from the command line. There is no way that method will survive or suffice using the Update Manager. Eventually I get everything installed but I'd guess many folks would give up.
But for example if you upgrade now, you end with systemd and not the init system that was chosen for Betsy.
After several update attempts I noticed the systemd influence. I concluded the original post method is no longer viable. :)
I don't know if they're even working on a way for people to easily upgrade.
That would not be nice. :(
I hope they are. I have no plan to reinstall
Same here. I have too many customized configuration changes to reinstall.
Not yet. The release of ISOs comes first.
I hope "Not yet" means that will be forthcoming in the testing cycle. :)

The original LMDE Update Pack testing method was to use the "incoming" branch. I hope that same method or something similar will be used. Some method is needed to allow the Update Manager to update the sources before starting the update process.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Mar 17, 2015 5:30 am
by killer de bug
woodsman wrote: Several times the past few days I attempted to update LMDE with the sources list from the first post of this thread. Just doesn't work. [...] Eventually I get everything installed but I'd guess many folks would give up.
So... it works!

woodsman wrote:After several update attempts I noticed the systemd influence. I concluded the original post method is no longer viable. :)
I don't understand your point here. Method given is perfectly valid... The team just need to add the init system to Betsy repo to avoid systemd installation.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Mar 17, 2015 5:52 am
by Monsta
Guys, please note that a simple "upgrade didn't work for me" isn't of much value to the developers. We can't telepathically find out what went wrong in your system. We need to see what dist-upgrade showed you, e.g. which packages would be removed or held back (the latter might be the most important part as it usually indicates some problems among your packages).

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Mar 17, 2015 8:14 am
by reference2myself